// var Search = function(_searchBoxId,_paneId,_bind){
//     var _text = jx.dom.get.value(_searchBoxId)
//     _regex = new RegExp(_text.toLowerCase())
//     _paneId = (_paneId[0] == '#')?_paneId:('#'+_paneId)
//     $(_paneId).slideUp()
//     (_paneId).children().each(_index=>{
//         _div = $(_paneId).children()[_index]
//         if (_div.html().match(_regex)){
//             $(_div).slideDown()
//         }
//     })


// }

if (!qcms) {
    var qcms = {}
}
qcms.search = function(_searchBoxId,_paneId,_bind){
    var _text = jx.dom.get.value(_searchBoxId)
    _regex = new RegExp(_text.toLowerCase().trim())
    _paneId = (_paneId[0] == '#')?_paneId:('#'+_paneId)
    // $(_paneId).children().css({display:'none'})
    var found = 0
    $(_paneId).children().each(_index=>{
        _div = $(_paneId).children()[_index]
        if ($(_div).html().toLowerCase().match(_regex)){
            $(_div).slideDown()
        }else{
            $(_div).css({display:'none'})
        }
    })    
}